if (not knUI_DB.AutoSellGrey) then return end
	
CreateFrame("Frame", "AutoSellJunk")
AutoSellJunk:RegisterEvent("MERCHANT_SHOW")

local function link_to_id(link)
	return link and tonumber(string.match(link, "item:(%d+)"))
end

AutoSellJunk:SetScript("OnEvent", function(self, event, ...)
	local bag, slot
	local total = 0
	
	for bag = 0, 4 do		
		for slot = 1, GetContainerNumSlots(bag) do
			local id = link_to_id(GetContainerItemLink(bag, slot))
			if id then
				local quality = (select(3, GetItemInfo(id)))
				local value = (select(11, GetItemInfo(id))) or 0
				
				if (quality == 0 or quality == -1) then
					UseContainerItem(bag, slot)
					total = total + value
				end
			end
		end
	end
	
	if total > 0 then print('Total value of items sold: '..GetCoinTextureString(total, 12)) end
end)