if (not knUI_DB.HappyCoil) then return end
if (select(2, UnitClass("player"))) ~= "WARLOCK" then return end

local f = CreateFrame("Frame", "HappyCoil", UIParent)
f:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")

local bear = CreateFrame("Frame", "HappyCoilBear", UIParent)
	bear:SetWidth(256); HappyCoilBear:SetHeight(256)
	bear:SetPoint("CENTER", UIParent, "TOP", 0, -200)

local t = bear:CreateTexture(nil,"BACKGROUND")
	t:SetTexture("Interface\\Addons\\knUI\\resources\\graphics\\bear.blp")
	t:SetAllPoints(bear)
	bear.texture = t
	bear:Hide()

HappyCoil:SetScript("OnEvent", function (self, event, ...)
	local type, GUID = select(2, ...), select(3, ...)
	if GUID ~= UnitGUID("player") then return end
	
	if (event == "COMBAT_LOG_EVENT_UNFILTERED") then 
		if (type == "SPELL_DAMAGE") then
			local spellId, spellName, spellSchool = select(9, ...) 
			local amount, overkill, school, resisted, blocked, absorbed, critical, glancing, crushing = select(12, ...) 
	 
			if spellName == "Death Coil" then 
				PlaySoundFile("Interface\\Addons\\knUI\\resources\\sounds\\care.mp3")
				HappyCoilBear:ClearAllPoints() 
				HappyCoilBear:SetPoint("CENTER", UIParent, "CENTER", random(-500, 500), random(-500, 500)) 
				UIFrameFadeOut(HappyCoilBear, 1, .3, 0) 
			end 
		end 
	end 
 end)
 
--[[
HappyCoil:SetScript("OnUpdate", function()
    if (GameTooltipTextLeft1:GetText() == "Death Coil") then
		local name, rank, icon, cost, isFunnel, powerType, castTime, minRange, maxRange = GetSpellInfo("Death Coil")

        GameTooltip:ClearLines()
        GameTooltip:AddDoubleLine("Happy Coil", rank, 1, 1, 1, 0.5, 0.5, 0.5)
        GameTooltip:AddDoubleLine(cost .." Mana", maxRange.." yd range", 1, 1, 1, 1, 1, 1)
        GameTooltip:AddDoubleLine("Instant cast", "2 min cooldown", 1, 1, 1, 1, 1, 1)
        GameTooltip:AddLine("Shoots the smiling face of a carebear at your enemy target, causing it to skip merrily for 3 seconds. The target gives health to the caster as a gift between friends.", 1, 1, .5, 1)
        GameTooltip:Show()
    end
end)
]]