
CreateFrame('Frame', 'TooltipToCursor')

if (PandorumDB.TooltipToCursor) then
	function GameTooltip_SetDefaultAnchor(GameTooltip, parent)
		GameTooltip:SetOwner(parent, "ANCHOR_CURSOR")
	end
else
	function GameTooltip_SetDefaultAnchor(GameTooltip, parent)
		GameTooltip:SetOwner(parent, "ANCHOR_BOTTOMRIGHT", -250, 150)
	end
end

GameTooltip:HookScript("OnShow", function()
	if UnitExists('mouseovertarget') and (PandorumDB.TargetOfTarget) then
		local name = UnitName("mouseovertarget")
		if name == UnitName('Player') then name = "|cffff0033YOU!" end
		GameTooltip:AddLine("Target:|cffffffff "..name)
		GameTooltip:Show()
	end
end)