
local f = CreateFrame('Frame', 'LargeAuras')
f:RegisterEvent("UNIT_AURA")

f:SetScript('OnEvent', function()
	if not UnitExists("target") then return end
	if (not knUI_DB.LargerAuras) then f:SetScript('OnEvent', nil); return end
	
	if UnitIsEnemy("target", "player") then
		for i = 1, 40 do
			local name, rank, icon, count, debuffType, duration, expirationTime, unitCaster, isStealable = UnitDebuff("target", i)
			if unitCaster == 'player' then
				local f = _G["TargetFrameDebuff"..i]
				if f then
					f:SetWidth(30)
					f:SetHeight(30)
				end
			end
		end
	else
		for i = 1, 40 do
			local name, rank, icon, count, debuffType, duration, expirationTime, unitCaster, isStealable = UnitBuff("target", i)
			if unitCaster == 'player' then
				local f = _G["TargetFrameBuff"..i]
				if f then
					f:SetWidth(30)
					f:SetHeight(30)
				end
			end
		end
	end

	local f = _G["TargetFrameToT"]
	if f and not UnitAffectingCombat('player') then
		f:ClearAllPoints()
		f:SetPoint("TopLeft", TargetFrame, "BottomRight", -70, 30)
	end
end)