if not knUI_DB.MouseoverDebuff["Enabled"] == true then return end
local candy = LibStub("LibCandyBar-3.0")
if not candy then return end
local bars = {}
local class = (select(2, UnitClass("player")))
local totalSpells = #knUI_DB.MouseoverDebuff["Spells"][class]
totalSpells = totalSpells or 0

GameTooltip:HookScript("OnShow", function()
	local i = 1
	local la = nil
	
	while UnitDebuff("mouseover", i, "PLAYER") do
		local name, rank, icon, count, dispelType, duration, expires, caster, isStealable = UnitDebuff("mouseover", i, "PLAYER")
		
		for j = 1, totalSpells do
			if name == knUI_DB.MouseoverDebuff["Spells"][class][j] then
				local bar  = candy:New(knUI_DB.MouseoverDebuff["BarGraphic"], math.max(format("%.0f", GameTooltip:GetWidth()), 200), knUI_DB.MouseoverDebuff["IconSize"])
					bar:SetLabel(name)
					bar:SetIcon(icon)
					bar:SetDuration(duration)
					bar:SetColor(0.25, 0.33, 0.68, 1)
					bar:Start()
					bar.exp = expires
					
				if la == nil then
					bar:SetPoint("TopLeft", GameTooltip, "BottomLeft", 0, -15)
				else
					bar:SetPoint("Top", la, "Bottom", 0, -1)
				end
				
				la = bar
				
				table.insert(bars, bar)
			end
		end
		
		i = i + 1
	end
end)

GameTooltip:HookScript("OnHide", function()
	for i = 1, #bars do
		bars[i]:Stop()
	end
	wipe(bars)
	bars = {}
end)