
CreateFrame('Frame', 'ExtraBar')

function Pandorum:CreateExtraBar()
	ExtraBar:RegisterEvent("PET_BAR_HIDE")
	ExtraBar:RegisterEvent("UNIT_PET")
	
	local ID = 1
	for i = 13, 24 do
		local BUTTON = _G["ExtraBar"..i]
		if BUTTON == nil then
			BUTTON = CreateFrame("CheckButton", "ExtraBar"..ID, UIParent, "ActionBarButtonTemplate, SecureActionButtonTemplate")
			BUTTON:SetWidth(36); BUTTON:SetHeight(36)
			BUTTON:SetAttribute("type", "action");
			BUTTON:SetAttribute("action", i)
			BUTTON:SetAttribute("showgrid", 1);
		else
			BUTTON:Show()
			break
		end
		
		BUTTON:SetPoint("BOTTOMLEFT", _G['MultiBarBottomRightButton'..ID], "TOPLEFT", 0, 6)
		BUTTON:Show()
		ID = ID + 1
	end
	
	if PetActionBarFrame:IsVisible() then
		if ShapeshiftBarFrame:IsVisible() then
			PetActionBarFrame:ClearAllPoints(); PetActionBarFrame:SetPoint("BOTTOMLEFT", ExtraBar1, "TOPLEFT", 0, 6)
		else
			PetActionBarFrame:ClearAllPoints(); PetActionBarFrame:SetPoint("BOTTOMLEFT", MultiBarBottomLeftButton1, "TOPLEFT", 0, 6)
		end
	end
	
end

ExtraBar:SetScript('OnEvent', function()
	if (not PandorumDB.ExtraBar) then ExtraBar:SetScript('OnEvent', nil); return end
	if UnitAffectingCombat('player') then return end
	
	if PetActionBarFrame:IsVisible() then
		if ShapeshiftBarFrame:IsVisible() then
			PetActionBarFrame:ClearAllPoints(); PetActionBarFrame:SetPoint("BOTTOMLEFT", ExtraBar1, "TOPLEFT", 0, 6)
		else
			PetActionBarFrame:ClearAllPoints(); PetActionBarFrame:SetPoint("BOTTOMLEFT", MultiBarBottomLeftButton1, "TOPLEFT", 0, 6)
		end
	end
end)