if not knUI_DB.Paranoia then return end
		
local f = CreateFrame('Frame', "Paranoia")
local PlayerName = UnitName("player"):lower()

local events = {
	"CHAT_MSG_GUILD",
	"CHAT_MSG_BATTLEGROUND",
	"CHAT_MSG_BATTLEGROUND_LEADER",
	"CHAT_MSG_OFFICER",
	"CHAT_MSG_RAID",
	"CHAT_MSG_SAY",
	"CHAT_MSG_WHISPER",
	"CHAT_MSG_BN_WHISPER",
}

for i = 1, #events do
	f:RegisterEvent(events[i])
end

Paranoia:SetScript('OnEvent', function(self, event, ...)
	if event == 'CHAT_MSG_WHISPER' or event == 'CHAT_MSG_BN_WHISPER' then
		PlaySoundFile("Interface\\Addons\\knUI\\resources\\sounds\\notify.mp3")
	else
		if (...) == nil then return end
		
		if (...):lower():find(PlayerName) then
			PlaySoundFile("Interface\\Addons\\knUI\\resources\\sounds\\notify.mp3")
		end
	end
end)
		
